

package com.tmerclub.cloud.search.constant;

/**
 * @author xxw
 * @date 2022/7/4 9:09
 * 供应商商品类型
 */
public enum EsSupplierSpuStatus {
    /**
     * 不是供应商商品类型
     */
    NO_SUPPLIER_SPU(0),

    /**
     * 是供应商商品类型
     */
    SUPPLIER_SPU(1),

    /**
     * 代销商品
     */
    CONSIGNMENT(2);

    private final Integer value;

    public Integer value() {
        return value;
    }

    EsSupplierSpuStatus(Integer value) {
        this.value = value;
    }
}
